libosmocore 1.13.1.1-afb4 Osmocom core library

Data Fields
osmo_conv_decoder Struct Reference
Convolutional encoding and decoding routines

convolutional decoder state More...

`#include <conv.h>`

## Data Fields
const struct osmo_conv_code * | code
| for which code? More...
int | n_states
| number of states More...
int | len
| Max o_idx (excl. More...
int | o_idx
| output index More...
int | p_idx
| puncture index More...
unsigned int * | ae
| accumulated error More...
unsigned int * | ae_next
| next accumulated error (tmp in scan) More...
uint8_t * | state_history
| state history [len][n_states] More...

## Detailed Description

convolutional decoder state

## Field Documentation

## ◆ ae

unsigned int* osmo_conv_decoder::ae

accumulated error

Referenced by osmo_conv_decode_deinit(), osmo_conv_decode_flush(), osmo_conv_decode_get_best_end_state(), osmo_conv_decode_get_output(), osmo_conv_decode_init(), osmo_conv_decode_reset(), osmo_conv_decode_rewind(), and osmo_conv_decode_scan().

## ◆ ae_next

unsigned int* osmo_conv_decoder::ae_next

next accumulated error (tmp in scan)

Referenced by osmo_conv_decode_deinit(), osmo_conv_decode_flush(), osmo_conv_decode_init(), and osmo_conv_decode_scan().

## ◆ code

const struct osmo_conv_code* osmo_conv_decoder::code

for which code?

Referenced by osmo_conv_decode(), osmo_conv_decode_flush(), osmo_conv_decode_get_best_end_state(), osmo_conv_decode_get_output(), osmo_conv_decode_init(), and osmo_conv_decode_scan().

## ◆ len

int osmo_conv_decoder::len

Max o_idx (excl.

termination)

Referenced by osmo_conv_decode_init().

## ◆ n_states

int osmo_conv_decoder::n_states

number of states

Referenced by osmo_conv_decode_flush(), osmo_conv_decode_get_best_end_state(), osmo_conv_decode_get_output(), osmo_conv_decode_init(), osmo_conv_decode_reset(), osmo_conv_decode_rewind(), and osmo_conv_decode_scan().

## ◆ o_idx

int osmo_conv_decoder::o_idx

output index

Referenced by osmo_conv_decode_flush(), osmo_conv_decode_get_best_end_state(), osmo_conv_decode_get_output(), osmo_conv_decode_reset(), osmo_conv_decode_rewind(), and osmo_conv_decode_scan().

## ◆ p_idx

int osmo_conv_decoder::p_idx

puncture index

Referenced by osmo_conv_decode_flush(), osmo_conv_decode_reset(), osmo_conv_decode_rewind(), and osmo_conv_decode_scan().

## ◆ state_history

uint8_t* osmo_conv_decoder::state_history

state history [len][n_states]

Referenced by osmo_conv_decode_deinit(), osmo_conv_decode_flush(), osmo_conv_decode_get_best_end_state(), osmo_conv_decode_get_output(), osmo_conv_decode_init(), and osmo_conv_decode_scan().

The documentation for this struct was generated from the following file:

- include/osmocom/core/conv.h